summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorKarel Zak2012-06-13 11:59:29 +0200
committerKarel Zak2012-06-13 11:59:29 +0200
commitb5c6f48631ca3eb66a76a54faa2cd82c9140a917 (patch)
tree99ff14d125a6b2a65b93605e62322940c63949c8 /tools
parentlibblkid: trust in udev symlinks, don't verify (diff)
downloadkernel-qcow2-util-linux-b5c6f48631ca3eb66a76a54faa2cd82c9140a917.tar.gz
kernel-qcow2-util-linux-b5c6f48631ca3eb66a76a54faa2cd82c9140a917.tar.xz
kernel-qcow2-util-linux-b5c6f48631ca3eb66a76a54faa2cd82c9140a917.zip
tools: add small and stupid script to check HAVE_DECL_
use 'make checkdecl' to run the script Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/checkdecl.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tools/checkdecl.sh b/tools/checkdecl.sh
new file mode 100755
index 000000000..bd9ee6975
--- /dev/null
+++ b/tools/checkdecl.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+#
+# This script checkd for #ifdef HAVE_DECL_SYMBOL in code.
+#
+# Autoconf docs:
+#
+# Unlike the other autoconf ‘AC_CHECK_*S’ macros, when a symbol is not
+# declared, HAVE_DECL_symbol is defined to ‘0’ instead of leaving
+# HAVE_DECL_symbol undeclared. When you are sure that the check was performed,
+# use HAVE_DECL_symbol in #if.
+#
+
+if [ ! -f ./configure ]; then
+ echo "Not found configure script"
+ exit 1
+fi
+
+for decl in $(awk '/HAVE_DECL_.*ac_have_decl/ { print $2 }' configure); do
+ git grep -nE '[[:blank:]]*#[[:blank:]]*if(ndef|def)[[:blank:]]*'$decl;
+done | sort -u